%define name	xmakemol
%define version	5.11
%define release 1mdk

Name: 	 	%{name}
Summary: 	Simple XYZ molecule editor and GL viewer
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://vegemite.chem.nottingham.ac.uk/~xmakemol/
License:	GPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	XFree86-devel libxpm-devel libMesaGLU-devel lesstif-devel

%description
XMakemol can be used to view and manipulate atomic and molecular data given in
xyz format.

XMakemol can produce output in PostScript (black and white or colour)and in xpm
format (which can be translated to gif format using xpmtoppm and ppmtogif).

XMakemol can also produce a series of xpm files which can be translated into an
animated gif file using the bundled utility xmake_anim.pl (formerly
gmake_anim.pl).

%prep
%setup -q
perl -p -i -e 's/-O2/$RPM_OPT_FLAGS/g' Makefile

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
bzip2 xmake_anim.pl.1
cp xmake_anim.pl.1.bz2 %buildroot/%_mandir/man1

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="chemistry_section.png" needs="x11" title="XMakeMol" longtitle="Molecule editor and viewer" section="Applications/Sciences/Chemistry"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS PROBLEMS ToDo.txt 
%{_bindir}/%name
%{_bindir}/xmake_anim.pl
%{_datadir}/%name
%{_mandir}/man1/*
%{_menudir}/%name

%changelog
* Sun Feb 22 2004 Austin Acton <austin@mandrake.org> 5.11-1mdk
- 5.11

* Wed Oct 8 2003 Austin Acton <aacton@yorku.ca> 5.09-1mdk
- 5.09

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 5.08-1mdk
- 5.08

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 5.07-2mdk
- buildrequires lesstif-devel

* Tue Apr 15 2003 Austin Acton <aacton@yorku.ca> 5.07-1mdk
- initial package
